VTK: vtkMultiBlockPLOT3DReaderRecord Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
vtkMultiBlockPLOT3DReaderRecord Class Reference

`#include <vtkMultiBlockPLOT3DReaderInternals.h>`

## Public Types
typedef std::vector< vtkTypeUInt64 > | SubRecordSeparators

## Public Member Functions
bool | Initialize (FILE *fp, vtkTypeUInt64 offset, const vtkMultiBlockPLOT3DReaderInternals::InternalSettings &settings, vtkMultiProcessController *controller)
bool | AtStart (vtkTypeUInt64 offset)
bool | AtEnd (vtkTypeUInt64 offset)
SubRecordSeparators | GetSubRecordSeparators (vtkTypeUInt64 startOffset, vtkTypeUInt64 length) const
vtkTypeUInt64 | GetLengthWithSeparators (vtkTypeUInt64 start, vtkTypeUInt64 length) const
std::vector< std::pair< vtkTypeUInt64, vtkTypeUInt64 > > | GetChunksToRead (vtkTypeUInt64 start, vtkTypeUInt64 length) const

## Static Public Member Functions
static std::vector< std::pair< vtkTypeUInt64, vtkTypeUInt64 > > | GetChunksToRead (vtkTypeUInt64 start, vtkTypeUInt64 length, const std::vector< vtkTypeUInt64 > &markers)

## Static Public Attributes
static const int | SubRecordSeparatorWidth = sizeof(int) * 2

## Detailed Description

Definition at line 100 of file vtkMultiBlockPLOT3DReaderInternals.h.

## Member Typedef Documentation

## ◆ SubRecordSeparators

typedef std::vector<vtkTypeUInt64> vtkMultiBlockPLOT3DReaderRecord::SubRecordSeparators

Definition at line 115 of file vtkMultiBlockPLOT3DReaderInternals.h.

## Member Function Documentation

## ◆ Initialize()

bool vtkMultiBlockPLOT3DReaderRecord::Initialize | ( | FILE * | fp,
|  | vtkTypeUInt64 | offset,
|  | const vtkMultiBlockPLOT3DReaderInternals::InternalSettings & | settings,
|  | vtkMultiProcessController * | controller
| ) |  |

## ◆ AtStart()

bool vtkMultiBlockPLOT3DReaderRecord::AtStart | ( | vtkTypeUInt64 | offset | ) |
| inline

Definition at line 140 of file vtkMultiBlockPLOT3DReaderInternals.h.

## ◆ AtEnd()

bool vtkMultiBlockPLOT3DReaderRecord::AtEnd | ( | vtkTypeUInt64 | offset | ) |
| inline

Definition at line 149 of file vtkMultiBlockPLOT3DReaderInternals.h.

## ◆ GetSubRecordSeparators()

SubRecordSeparators vtkMultiBlockPLOT3DReaderRecord::GetSubRecordSeparators | ( | vtkTypeUInt64 | startOffset,
|  | vtkTypeUInt64 | length
| ) |  | const

## ◆ GetChunksToRead() [1/2]

static std::vector<std::pair<vtkTypeUInt64, vtkTypeUInt64> > vtkMultiBlockPLOT3DReaderRecord::GetChunksToRead | ( | vtkTypeUInt64 | start,
|  | vtkTypeUInt64 | length,
|  | const std::vector< vtkTypeUInt64 > & | markers
| ) |  |
| static

## ◆ GetLengthWithSeparators()

vtkTypeUInt64 vtkMultiBlockPLOT3DReaderRecord::GetLengthWithSeparators | ( | vtkTypeUInt64 | start,
|  | vtkTypeUInt64 | length
| ) |  | const

## ◆ GetChunksToRead() [2/2]

std::vector<std::pair<vtkTypeUInt64, vtkTypeUInt64> > vtkMultiBlockPLOT3DReaderRecord::GetChunksToRead | ( | vtkTypeUInt64 | start,
|  | vtkTypeUInt64 | length
| ) |  | const
| inline

Definition at line 174 of file vtkMultiBlockPLOT3DReaderInternals.h.

## Member Data Documentation

## ◆ SubRecordSeparatorWidth

const int vtkMultiBlockPLOT3DReaderRecord::SubRecordSeparatorWidth = sizeof(int) * 2
| static

Definition at line 121 of file vtkMultiBlockPLOT3DReaderInternals.h.

The documentation for this class was generated from the following file:

- IO/Parallel/vtkMultiBlockPLOT3DReaderInternals.h